[arch-commits] CVS update of arch/build/base/readline (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sun Aug 19 12:40:32 EDT 2007


    Date: Sunday, August 19, 2007 @ 12:40:32
  Author: tpowa
    Path: /home/cvs-arch/arch/build/base/readline

Modified: PKGBUILD (1.22 -> 1.23)

'upgpgk: update to new patchset'


----------+
 PKGBUILD |   25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)


Index: arch/build/base/readline/PKGBUILD
diff -u arch/build/base/readline/PKGBUILD:1.22 arch/build/base/readline/PKGBUILD:1.23
--- arch/build/base/readline/PKGBUILD:1.22	Mon Apr  9 09:05:17 2007
+++ arch/build/base/readline/PKGBUILD	Sun Aug 19 12:40:31 2007
@@ -1,22 +1,32 @@
-# $Id: PKGBUILD,v 1.22 2007/04/09 13:05:17 tpowa Exp $
+# $Id: PKGBUILD,v 1.23 2007/08/19 16:40:31 tpowa Exp $
 # Maintainer: judd <jvinet at zeroflux.org>
 pkgname=readline
 pkgver=5.2
-pkgrel=2
+pkgrel=3
 pkgdesc="GNU readline library"
 arch=(i686 x86_64)
 depends=(glibc ncurses)
 backup=("etc/inputrc")
+url=('ftp://ftp.cwru.edu/pub/bash/')
 source=(ftp://ftp.cwru.edu/pub/bash/readline-${pkgver}.tar.gz
+	ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-001
+	ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-002
+	ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-003
+	ftp://ftp.cwru.edu/pub/bash/readline-5.2-patches/readline52-004
         inputrc)
 install=readline.install
-md5sums=('e39331f32ad14009b9ff49cc10c5e751' '6ce86d52b2588a8ff5bcc94c4b5511cc')
+md5sums=('e39331f32ad14009b9ff49cc10c5e751'
+         '9d4d41622aa9b230c57f68548ce87d8f'
+         'f03e512d14206e37f7d6a748b56b9476'
+         '252b42d8750f1a94b6bdf086612dceb2'
+         'a32333c2e603a3ed250514e91050e552'
+         'e5fc955f56d9fa5beb871f3279b8fa8b')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  #for i in 001 002 003 004; do
-  #  patch -Np2 -i ${startdir}/src/readline51-${i} || return 1
-  #done
+  for i in 001 002 003 004; do
+    patch -Np2 -i ${startdir}/src/readline52-${i} || return 1
+  done
   ./configure --prefix=/usr
   make SHLIB_LIBS=-lncurses || return 1
   make DESTDIR=${startdir}/pkg install
@@ -28,5 +38,4 @@
   mkdir -pv lib
   mv -v usr/lib/lib{readline,history}.so.5* lib/
   ln -svf ../../lib/libreadline.so.5 usr/lib/libreadline.so
-  ln -svf ../../lib/libhistory.so.5 usr/lib/libhistory.so
-}
+ }




More information about the arch-commits mailing list